body {
  margin: 0;
}

main {
  max-width: 40em;
  margin-inline: auto;
  background-color: antiquewhite;
  padding: 2em;
}

h1 {
  margin-top: 0;
}

pre {
  margin: 0;
}

hr {
  border: none;
  border-top: 2px dashed grey
}

.outline {
  outline: 2px solid rebeccapurple;
  padding: 0;
}

.outline li {
  display: inline-block;
  list-style-type: none;
  margin: 0;
  padding: .8rem;
  background-color: orange;
  border: .2rem solid orangered;
}

.code-example {
  position: relative;
  width: -moz-fit-content;
  width: fit-content;
  padding: 2.5rem 1rem 1rem;
  margin: 1rem 0;
  overflow: hidden;
  border-radius: 4px;
  background-color: rgb(70, 70, 70);
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.4);
  color: white
}

.code-example::before {
  position: absolute;
  content: "ooo";
  color: rgb(51, 51, 51);
  padding-left: .75rem;
  width: 100%;
  height: 1.5rem;
  top: 0;
  left: 0;
  background-color: rgb(117, 117, 117);
}

.fix-inner {
  display: inline-flex;
  margin: 0;
  outline: 2px solid rebeccapurple;
  padding: 0;
}

.wrapper {
  margin: 0;
  display: grid;
  place-items: left;
}